### Virtual Method

# Hex Buffer read_finish

#### Declaration

    gboolean
    read_finish (
      HexBuffer* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Obtain the result of a completed file read operation.

This method is typically called from the `GAsyncReadyCallback` function passed to `hex_buffer_read_async()` to obtain the result of the operation.

#### Parameters

`result`

  Type: `GAsyncResult`

  Result of the task.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the operation was successful; `FALSE` otherwise.